<?php

/*
  Plugin Name: Wyszukiwarka domen - widget
  Plugin URI: http://www.domeny.tv/partner/kody
  Description: Widget wyszukiwarki domen na serwisie Domeny.tv
  Author: MSERWIS.pl
  Version: 1.0
  Author URI: http://mserwis.pl
 */

class Domeny_Widget extends WP_Widget {

	/**
	 * Register widget with WordPress.
	 */
	public function __construct() {
		parent::__construct(
	 		'Domeny_Widget', // Base ID
			'Wyszukiwarka domen', // Name
			array( 'description' => __( 'Widget wyszukiwarki domen na serwisie Domeny.tv', 'text_domain' )) // Args
		);
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args     Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );
		$description = isset($instance['description']) ? $instance['description'] : '';
		$partner = isset($instance['partner']) ? $instance['partner'] : '';

		echo $before_widget;
		echo $before_title . $title . $after_title;
		?>
	<form method="get" action="http://www.domeny.tv/wyszukiwarka/">
		<div>
			<input type="text" name="domain" value="" style="width:190px;" data-hint="np. example.com"/>
			<input type="submit" value="Sprawdź" style="margin-top:10px;background-color:#0045a1;border-radius:5px;"/>
			<input type="hidden" name="nonsite" value="1"/>
			<input type="hidden" name="ref" value="<?php echo $partner; ?>"/>
		</div>
	</form>
		<?php
		if(!empty($description)) echo '<p>'.$description.'</p>';
		
		echo $after_widget;
	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['description'] = strip_tags( $new_instance['description'] );
		$instance['partner'] = strip_tags( $new_instance['partner'] );

		return $instance;
	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form( $instance ) {
		$title = isset($instance[ 'title' ]) ? $instance[ 'title' ] : __( 'Wyszukiwarka domen', 'text_domain' );
		$description = isset($instance[ 'description' ]) ? $instance[ 'description' ] : '';
		$partner = isset($instance[ 'partner' ]) ? $instance[ 'partner' ] : '';
		
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		<p>
		<label for="<?php echo $this->get_field_id( 'description' ); ?>">Opis (opcjonalne):</label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'description' ); ?>" name="<?php echo $this->get_field_name( 'description' ); ?>" type="text" value="<?php echo esc_attr( $description ); ?>" />
		</p>
		<p>
		<label for="<?php echo $this->get_field_id( 'partner' ); ?>">Twoja nazwa użytkownika (opcjonalne):</label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'partner' ); ?>" name="<?php echo $this->get_field_name( 'partner' ); ?>" type="text" value="<?php echo esc_attr( $partner ); ?>" />
		</p>
		<?php 
	}

}

add_action( 'widgets_init', create_function( '', 'return register_widget( "Domeny_Widget" );' ) );